PT BIA - Feature #1953

Value untuk base prorate fix
01/19/2023 03:12 PM - Moch Alinafia

Status: Closed Start date: 01/19/2023
Priority: Normal Due date:

Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Dev

Tolong Di buatkan untuk base prorate fix berdasarkan payroll group
contoh :

Payroll group jakarta value nya 21

Payroll group merauke value nya 25

BIA
Url : http://hris-bia-dev.minovais.com:11137/

db : 45.251.75.66
dbname : MinovakES_BIA-Dev

Terima Kasih

History

#1 - 01/27/2023 09:51 AM - Tri Rizqgiaty
- File clipboard-202301270950-ujxw8.png added
- File MinovalS.MinovaES.Business.PY.dll added

Solution :

Penambahan field ConstantNumber ditable PHRPYCUO0300 difisik atau diSDATATABLEFIELD, jadi kalau ProrateMethod 'C' (Constant), field ini

harus terisi.

Fixing :

1. Penambahan field ConstantNumber ditable PHRPYCU0300 difisik atau diSDATATABLEFIELD
WIN-PHETIO250)H....v - dbo.PHRPADD1S SQLQuery4.sql - 45...5_BIA_Dev (sa (54))* SQLQuery3.sql - 45...5_BIA Dev (sa (52))* WIN-PHETIO259)H....dbo.pHRPYCUD300 = % [

Column Alias Table Outp... Sort Type Sort Order Filter Or.. Oru. Or.. [}

Proratel PHRPYCU...

Prorate2 PHRPYCU...

Prorate3 PHRPYCU...
3 ProrateType PHRPYCU...

ProrateMethod PHRPYCU...

ConstantMu... PHRPYCU...

Nehitdre PHRDYVI] =] e
SELECT StartDate, EndDate, WageTypeDefinition, WTDefinitionDesc, CalculationDescription, Sequence, GrossupSequence, WageGroup, Type, Regular, Taxable, PreTax, Valuation, Overwrite, [sPesangon, Base, Percentage, MinAmount, ~

MaxAmount, AmountRangeMsgType, TaxSubsidy, Proratel, Prorate, Prorate3, ProrateType, ProrateMethed, ConstantMumber, DebitAcc, CreditAce, Budgethce, IncludeToBudget, IncludeToVacancyBudget, SPTNe, RecapNo,
IsActive, Deduction, DeductionPercentage, WageTypeGenerated, WTGeneratedPercentage, WageTypeForeign, WTForeignConvType, Notes, CreateBy, CreateDate, ChangeBy, ChangeDate, WTAuthorizationGroup

FROM PHRPYCUD300

WHFRF MWaneTuneDefinition = '"1000"1 OR
MaxAmount AmountRange... TaxSubsidy Proratel Prorate2 Prorate3 ProrateType ProrateMethod
3 0,0000000 0 N N o) C
0,0000000 0 v N N D A
0,0000000 0 v N N WD C
0,0000000 0 Y N N WD C
0,0000000 0 Y N N WD C
0,0000000 0 Y N N WD C
0,0000000 0 N N WD C
. NULL NULL NULL NULL NULL NULL NULL NULL

ConstantMum...  DebitAcc

22
24
INULL
22
INULL
INULL
INULL

INULL

2. Update folder API2\bin : MinovalS.MinovaES.Business.PY.dll, file terlampir
http://hris-bia-dev.minovais.com:11137/

#2 - 01/27/2023 09:51 AM - Tri Rizqiaty

- Status changed from New to Developing

#3 - 01/27/2023 09:52 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Moch Alinafia

#4 - 03/07/2023 10:13 AM - Moch Alinafia
- Status changed from QA Test to Closed

Files

clipboard-202301270950-ujxw8.png 67.6 KB 01/27/2023 Tri Rizgiaty

MinovalS.MinovaES.Business.PY.dll 801 KB 01/27/2023 Tri Rizgiaty
